window.Gleam.initSearch([{"doc":"mumu","title":"mumu","content":"# mumu\n\n[![Package Version](https://img.shields.io/hexpm/v/mumu)](https://hex.pm/packages/mumu)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/mumu/)\n\nHash strings using the non-cryptographic hash Murmur3 in Gleam.\n\n```sh\ngleam add mumu\n```\n```gleam\nimport mumu\n\nmumu.hash(&quot;some-data&quot;)\n// -&gt; 875_689_107\n\nmumu.hash_with_seed(&quot;some-data&quot;, 1)\n// -&gt; 3_388_568_194\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/mumu&gt;.\n\n&gt; For erlang targets, you should have [elixir](https://elixir-lang.org/install.html) installed as this package relies on an external function internally for performance reasons.\n&gt; This might change in later versions when we provide a gleam-only version of the algorithm.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"mumu","title":"hash","content":"pub fn hash(input: String) -&gt; Int\n Hash strings into a sequence of numbers using the x86_32bit variant of the murmur3 algorithm.\n\n \n hash(&quot;some data&quot;)\n // -&gt; 875_689_107\n \n\nSynonyms:\nmumu.hash\nmumu hash","url":"mumu.html#hash"},{"doc":"mumu","title":"hash_with_seed","content":"pub fn hash_with_seed(input: String, seed: Int) -&gt; Int\n Hash strings using different seed values.\n\n \n hash_with_seed(&quot;some data&quot;, 1)\n // -&gt; 875_689_107\n \n\nSynonyms:\nmumu.hash_with_seed\nmumu hash_with_seed","url":"mumu.html#hash_with_seed"},{"doc":"mumu","title":"mumu","content":"","url":"mumu.html"}]);